template("copy_lib") {
    forward_variables_from(invoker, [])

    copy(target_name) {
        sources = [ target_name ]
        outputs = [
            "${root_out_dir}/$native_out_dir/lib/{{source_file_part}}",
        ]
    }
}